> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ideogram AI Bildgenerierung

## Ideogram V3 Schnittstelle

Das Ideogram V3 Modell bietet erweiterte Funktionen zur Bildgenerierung und -verarbeitung. Die V3 Schnittstelle unterscheidet sich in Parametern und Verwendung von früheren Versionen. In diesem Abschnitt werden die V3 Schnittstellen und Anwendungsbeispiele ausführlich beschrieben.

### V3 Generate

`POST` [https://aihubmix.com/ideogram/v1/ideogram-v3/generate](https://aihubmix.com/ideogram/v1/ideogram-v3/generate)

Generiert Bilder auf Grundlage der angegebenen Prompts. Das V3 Modell bietet eine höhere Bildqualität und unterstützt vielfältigere Stile und Parametersteuerungen.

<ParamField body="prompt" type="string" required>
  Prompt für die Bildgenerierung
</ParamField>

<ParamField body="rendering_speed" default="DEFAULT" type="string">
  Optionen für die Rendering-Geschwindigkeit, verfügbar: `TURBO`, `DEFAULT`, `QUALITY`
</ParamField>

<ParamField body="num_images" default="1" type="integer">
  Anzahl der zu generierenden Bilder, Bereich 1-8\
  Die Generierung mehrerer Bilder verlängert die Generierungszeit nicht wesentlich
</ParamField>

<ParamField body="aspect_ratio" default="1x1" type="string">
  Seitenverhältnis für die Bildgenerierung, unterstützt eine breite Palette an Spezifikationen\
  Verfügbar: \['1x3', '3x1', '1x2', '2x1', '9x16', '16x9', '10x16', '16x10', '2x3', '3x2', '3x4', '4x3', '4x5', '5x4', '1x1']\
  Die in verschiedenen Modellen verwendeten Seitenverhältnisse unterscheiden sich.
</ParamField>

<ParamField body="magic_prompt" default="AUTO" type="string">
  Prompt-Verbesserung. Verfügbare Parameter: `AUTO`, `ON`, `OFF`
</ParamField>

<ParamField body="style_type" default="AUTO" type="string">
  Stiltyp für die Bildgenerierung, verfügbar: `AUTO`, `GENERAL`, `REALISTIC`, `DESIGN`\
  Hinweis: Im Vergleich zur V2-Version ist der Typ fokussierter
</ParamField>

<ParamField body="negative_prompt" type="string">
  Beschreibung der Inhalte, die nicht im Bild erscheinen sollen
</ParamField>

<ParamField body="seed" type="integer">
  Zufallsseed, Bereich: 0-2147483647\
  Verwenden Sie keinen Seed, wenn Sie mehrere Bilder generieren, da sonst dasselbe Bild erzeugt wird
</ParamField>

<ParamField body="style_reference_images" type="file">
  Stil-Referenzbild, kann zur Stilführung verwendet werden
</ParamField>

### Anwendungsbeispiele

<CodeGroup>
  ```shell Curl Text-to-Image theme={null}
  curl -X POST https://aihubmix.com/ideogram/v1/ideogram-v3/generate \
    -H "Api-Key: sk-***" \
    -H "Content-Type: multipart/form-data" \
    -F prompt="Delicate 3D cover design with various combat machines flying from an portal. The machines have different shapes, sizes, and colors. The portal is emitting swirling energy. The background contains a futuristic city with tall buildings. The text \"One Gateway, Infinite Models\" is placed in the center with neon lights, expansive view, cinematic lighting, vivid color, bright tone. clean text, cyber punk, smooth render" \
    -F rendering_speed="QUALITY" \
    -F num_images="2" \
    -F aspect_ratio="2x1"
  ```

  ```py Python Text-to-Image theme={null}
  import requests
  import os

  # Anfragedaten vorbereiten - Dictionary anstelle von JSON verwenden
  data = {
    "prompt": "Delicate 3D cover design with various combat machines flying from an portal. The machines have different shapes, sizes, and colors. The portal is emitting swirling energy. The background contains a futuristic city with tall buildings. The text \"One Gateway, Infinite Models\" is placed in the center with neon lights, expansive view, cinematic lighting, vivid color, bright tone. clean text, cyber punk, smooth render",
    "rendering_speed": "QUALITY",
    "num_images": "2",
    "aspect_ratio": "2x1",
    "magic_prompt": "AUTO",
    "style_type": "AUTO",
    "negative_prompt": "blurry, watermark"
  }

  # Content-Type ist multipart/form-data
  files = {}
  for key, value in data.items():
      files[key] = (None, str(value))  # Jedes Datenfeld als Formularfeld senden

  response = requests.post(
    "https://aihubmix.com/ideogram/v1/ideogram-v3/generate",
    headers={
      "Api-Key": "sk-***" # Ersetzen Sie dies durch Ihren AiHubMix API-Schlüssel
    },
    files=files
  )
  print(response.json())

  # Ausgabebild in Datei speichern
  response_json = response.json()
  if response.ok and 'data' in response_json and len(response_json['data']) > 0:
      image_data = response_json['data'][0]['url']
      image_response = requests.get(image_data)
      if image_response.ok:
          with open('output.png', 'wb') as f:
              f.write(image_response.content)
          print("Image saved to output.png")
      else:
          print(f"Failed to get image: {image_response.status_code}")
  else:
      print("API request failed or no image returned")
  ```

  ```py Python Reference Image + Text-to-Image theme={null}
  import requests
  import os

  data = {
    "prompt": "Delicate 3D cover design with various combat machines flying from an portal. The machines have different shapes, sizes, and colors. The portal is emitting swirling energy. The background contains a futuristic city with tall buildings. The text \"One Gateway, Infinite Models\" is placed in the center with neon lights, expansive view, cinematic lighting, vivid color, bright tone. clean text, cyber punk, smooth render",
    "rendering_speed": "QUALITY",
    "num_images": 2,
    # "seed": "998", # Beim Generieren mehrerer Bilder KEINEN Seed verwenden
    "aspect_ratio": "2x1", 
    "magic_prompt": "AUTO",
    "style_type": "AUTO",
    "negative_prompt": "blurry, watermark",
  }

  # files-Parameter initialisieren
  files = None

  # Pfad zum Stil-Referenzbild
  style_reference_path = "yourpath/reference-image.jpeg"
  use_reference_image = True

  if use_reference_image and os.path.exists(style_reference_path):
      # Wenn ein Referenzbild verwendet wird und die Datei existiert, files-Parameter setzen
      files = [
          ("style_reference_images", open(style_reference_path, "rb")),
          # Falls Sie mehrere Stil-Referenzbilder hinzufügen müssen, können Sie dies wie folgt tun:
          # ("style_reference_images", open("Pfad zum zweiten Referenzbild", "rb")),
      ]
  elif use_reference_image:
      print(f"Warning: Style reference image not found: {style_reference_path}")

  response = requests.post(
    "https://aihubmix.com/ideogram/v1/ideogram-v3/generate",
    headers={
      "Api-Key": "sk-***" # Ersetzen Sie dies durch Ihren AiHubMix API-Schlüssel
    },
    data=data,
    files=files
  )
  print(response.json())

  # Ausgabebild in Datei speichern
  response_json = response.json()
  if response.ok and 'data' in response_json and len(response_json['data']) > 0:
      image_data = response_json['data'][0]['url']
      image_response = requests.get(image_data)
      if image_response.ok:
          with open('output.png', 'wb') as f:
              f.write(image_response.content)
          print("Image saved to output.png")
      else:
          print(f"Failed to get image: {image_response.status_code}")
  else:
      print("API request failed or no image returned")
  ```
</CodeGroup>

### V3 Remix

`POST` [https://aihubmix.com/ideogram/v1/ideogram-v3/remix](https://aihubmix.com/ideogram/v1/ideogram-v3/remix)

Bilder auf Basis eines Referenzbildes und eines Prompts neu mischen. Die Remix-Funktion von V3 bewahrt Stil und Inhalt des Originalbildes besser.

<ParamField body="prompt" type="string" required>
  Prompt für das Remixing von Bildern
</ParamField>

<ParamField body="image" type="file" required>
  Originalbilddatei
</ParamField>

<ParamField body="image_weight" default="50" type="integer">
  Die Gewichtung des Originalbildes, Bereich 1-100. Je größer der Wert, desto ähnlicher ist das Ergebnis dem Originalbild.
</ParamField>

<ParamField body="rendering_speed" default="DEFAULT" type="string">
  Optionen für die Rendering-Geschwindigkeit, verfügbar: `TURBO`, `DEFAULT`, `QUALITY`
</ParamField>

<ParamField body="num_images" default="1" type="integer">
  Anzahl der zu generierenden Bilder, Bereich 1-8
  Die Generierung mehrerer Bilder verlängert die Generierungszeit nicht wesentlich
</ParamField>

<ParamField body="aspect_ratio" type="string">
  Seitenverhältnis des Ausgabebildes, verfügbar: \['1x3', '3x1', '1x2', '2x1', '9x16', '16x9', '10x16', '16x10', '2x3', '3x2', '3x4', '4x3', '4x5', '5x4', '1x1']
</ParamField>

<ParamField body="style_reference_images" type="file">
  Stil-Referenzbild, kann zur Stilführung verwendet werden
</ParamField>

<ParamField body="seed" type="integer">
  Zufallsseed, Bereich: 0-2147483647
</ParamField>

<ParamField body="magic_prompt" default="AUTO" type="string">
  Prompt-Verbesserung. Verfügbare Parameter: `AUTO`, `ON`, `OFF`
</ParamField>

<ParamField body="style_type" default="AUTO" type="string">
  Stiltyp für die Bildgenerierung, verfügbar: `AUTO`, `GENERAL`, `REALISTIC`, `DESIGN`
</ParamField>

<ParamField body="negative_prompt" type="string">
  Beschreibung der Inhalte, die nicht im Bild erscheinen sollen
</ParamField>

### Anwendungsbeispiele

<CodeGroup>
  ```py Python Remix theme={null}
  import requests
  import os

  data = {
    "prompt": "bird playing with a cat in the snow, pixel art style",
    "image_weight": "60",
    "rendering_speed": "QUALITY",
    "num_images": 1,
    "seed": 1,
    "aspect_ratio": "16x9", 
    "magic_prompt": "AUTO",
    "style_type": "AUTO",
    "negative_prompt": "blurry, bad anatomy, watermark",
  }

  # Originalbild - erforderlich
  source_image_path = "yourpath/image.jpeg"
  if not os.path.exists(source_image_path):
      raise FileNotFoundError(f"Original image not found: {source_image_path}")

  # files-Parameter initialisieren
  files = None

  # Pfad zum Stil-Referenzbild
  style_reference_path = "yourpath/reference-image.png"
  use_reference_image = True

  # Dateien für den Upload vorbereiten
  with open(source_image_path, "rb") as image_file:
      if use_reference_image and os.path.exists(style_reference_path):
          # Wenn ein Referenzbild verwendet wird und die Datei existiert, files-Parameter setzen
          files = {
              "image": image_file,
              "style_reference_images": open(style_reference_path, "rb"),
          }
      else:
          if use_reference_image:
              print(f"Warning: Style reference image not found: {style_reference_path}")
          files = {
              "image": image_file,
          }

      response = requests.post(
        "https://aihubmix.com/ideogram/v1/ideogram-v3/remix",
        headers={
          "Api-Key": "sk-***" # Ersetzen Sie dies durch Ihren AiHubMix API-Schlüssel
        },
        data=data,
        files=files
      )
  print(response.json())

  # Ausgabebild in Datei speichern
  response_json = response.json()
  if response.ok and 'data' in response_json and len(response_json['data']) > 0:
      image_data = response_json['data'][0]['url']
      image_response = requests.get(image_data)
      if image_response.ok:
          with open('output.png', 'wb') as f:
              f.write(image_response.content)
          print("Image saved to output.png")
      else:
          print(f"Failed to get image: {image_response.status_code}")
  else:
      print("API request failed or no image returned")
      print(f"Error details: {response_json}")
  ```
</CodeGroup>

### V3 Edit

`POST` [https://aihubmix.com/ideogram/v1/ideogram-v3/edit](https://aihubmix.com/ideogram/v1/ideogram-v3/edit)

Die lokale Bearbeitungsfunktion von V3 ermöglicht es Benutzern, durch Bereitstellung des Originalbildes und einer Maske bestimmte Bereiche eines Bildes präzise zu bearbeiten, während andere Bereiche unverändert bleiben.

<ParamField body="prompt" type="string" required>
  Prompt für die Bildbearbeitung
</ParamField>

<ParamField body="image" type="file" required>
  Originalbilddatei
</ParamField>

<ParamField body="mask" type="file" required>
  Maskenbild, schwarzer Bereich stellt den zu bearbeitenden Teil dar, weißer Bereich stellt den unveränderten Teil dar
</ParamField>

<ParamField body="rendering_speed" default="DEFAULT" type="string">
  Optionen für die Rendering-Geschwindigkeit, verfügbar: `TURBO`, `DEFAULT`, `QUALITY`
</ParamField>

<ParamField body="num_images" default="1" type="integer">
  Anzahl der zu generierenden Bilder, Bereich 1-8
  Die Generierung mehrerer Bilder verlängert die Generierungszeit nicht wesentlich
</ParamField>

<ParamField body="aspect_ratio" type="string">
  Seitenverhältnis des Ausgabebildes, verfügbar: \['1x3', '3x1', '1x2', '2x1', '9x16', '16x9', '10x16', '16x10', '2x3', '3x2', '3x4', '4x3', '4x5', '5x4', '1x1']
</ParamField>

<ParamField body="seed" type="integer">
  Zufallsseed, Bereich: 0-2147483647
</ParamField>

<ParamField body="magic_prompt" default="AUTO" type="string">
  Prompt-Verbesserung. Verfügbare Parameter: `AUTO`, `ON`, `OFF`
</ParamField>

<ParamField body="style_type" default="AUTO" type="string">
  Stiltyp für die Bildgenerierung, verfügbar: `AUTO`, `GENERAL`, `REALISTIC`, `DESIGN`
</ParamField>

<ParamField body="negative_prompt" type="string">
  Beschreibung der Inhalte, die nicht im Bild erscheinen sollen
</ParamField>

### Anwendungsbeispiele

<CodeGroup>
  ```py Python Edit theme={null}
  import requests
  import os

  # Originalbild - erforderlich
  source_image_path = "yourpath/image.jpeg"
  # Maske - erforderlich
  mask_image_path = "yourpath/mask.jpg"

  if not os.path.exists(source_image_path):
      raise FileNotFoundError(f"Original image not found: {source_image_path}")

  with open(source_image_path, "rb") as image_file, open(mask_image_path, "rb") as mask_file:
      response = requests.post(
          "https://aihubmix.com/ideogram/v1/ideogram-v3/edit",
          headers={
              "Api-Key": "sk-***" # Ersetzen Sie dies durch Ihren AiHubMix API-Schlüssel
          },
          data={
              "prompt": "remove text",
              "rendering_speed": "DEFAULT",
              "num_images": 1,
              "seed": 1,
              "aspect_ratio": "16x9",
              "magic_prompt": "AUTO",
              "style_type": "AUTO",
              "negative_prompt": "blurry, bad anatomy, watermark",
          },
          files={
              "image": image_file,
              "mask": mask_file,
          }
      )

  print(response.json())

  # Ausgabebild in Datei speichern
  response_json = response.json()
  if response.ok and 'data' in response_json and len(response_json['data']) > 0:
      image_data = response_json['data'][0]['url']
      image_response = requests.get(image_data)
      if image_response.ok:
          with open('output.png', 'wb') as f:
              f.write(image_response.content)
          print("Image saved to output.png")
      else:
          print(f"Failed to get image: {image_response.status_code}")
  else:
      print("API request failed or no image returned")
      print(f"Error details: {response_json}")
  ```
</CodeGroup>

### V3 Replace Background

`POST` [https://aihubmix.com/ideogram/v1/ideogram-v3/replace-background](https://aihubmix.com/ideogram/v1/ideogram-v3/replace-background)

Die Funktion zum Hintergrundaustausch von V3 erkennt intelligent Vorder- und Hintergrund eines Bildes und ersetzt den Hintergrund anhand des Prompts, während die Vordergrundobjekte unverändert bleiben.

<ParamField body="prompt" type="string" required>
  Prompt für den Hintergrundaustausch
</ParamField>

<ParamField body="image" type="file" required>
  Originalbilddatei
</ParamField>

<ParamField body="rendering_speed" default="DEFAULT" type="string">
  Optionen für die Rendering-Geschwindigkeit, verfügbar: `TURBO`, `DEFAULT`, `QUALITY`
</ParamField>

<ParamField body="num_images" default="1" type="integer">
  Anzahl der zu generierenden Bilder, Bereich 1-8
  Die Generierung mehrerer Bilder verlängert die Generierungszeit nicht wesentlich
</ParamField>

<ParamField body="style_reference_images" type="file">
  Stil-Referenzbild, kann zur Stilführung verwendet werden
</ParamField>

<ParamField body="seed" type="integer">
  Zufallsseed, Bereich: 0-2147483647
</ParamField>

<ParamField body="magic_prompt" default="AUTO" type="string">
  Prompt-Verbesserung. Verfügbare Parameter: `AUTO`, `ON`, `OFF`
</ParamField>

<ParamField body="style_type" default="AUTO" type="string">
  Stiltyp für die Bildgenerierung, verfügbar: `AUTO`, `GENERAL`, `REALISTIC`, `DESIGN`
</ParamField>

### Anwendungsbeispiele

<CodeGroup>
  ```py Python Replace Background theme={null}
  import requests
  import os

  data = {
    "prompt": "bird playing with a cat in the snow, pixel art style",
    "rendering_speed": "QUALITY",
    "num_images": 1,
    "seed": 1,
    # kein "aspect_ratio"
    "magic_prompt": "AUTO",
    "style_type": "AUTO",
    # kein "negative_prompt"
  }

  # Originalbild - erforderlich
  source_image_path = "yourpath/image.png"
  if not os.path.exists(source_image_path):
      raise FileNotFoundError(f"Original image not found: {source_image_path}")

  # files-Parameter initialisieren
  files = None

  # Pfad zum Stil-Referenzbild
  style_reference_path = "yourpath/reference-image.png"
  use_reference_image = True

  # Dateien vorbereiten
  with open(source_image_path, "rb") as image_file:
      if use_reference_image and os.path.exists(style_reference_path):
          # Wenn ein Referenzbild verwendet wird und die Datei existiert, files-Parameter setzen
          files = {
              "image": image_file,
              "style_reference_images": open(style_reference_path, "rb"),
          }
      else:
          if use_reference_image:
              print(f"Warning: Style reference image not found: {style_reference_path}")
          files = {
              "image": image_file,
          }

      response = requests.post(
        "https://aihubmix.com/ideogram/v1/ideogram-v3/replace-background",
        headers={
          "Api-Key": "sk-***" # Ersetzen Sie dies durch Ihren AiHubMix API-Schlüssel
        },
        data=data,
        files=files
      )
  print(response.json())

  # Ausgabebild in Datei speichern
  response_json = response.json()
  if response.ok and 'data' in response_json and len(response_json['data']) > 0:
      image_data = response_json['data'][0]['url']
      image_response = requests.get(image_data)
      if image_response.ok:
          with open('output.png', 'wb') as f:
              f.write(image_response.content)
          print("Image saved to output.png")
      else:
          print(f"Failed to get image: {image_response.status_code}")
  else:
      print("API request failed or no image returned")
      print(f"Error details: {response_json}")
  ```
</CodeGroup>

Weitere optionale Parameter finden Sie unter [Ideogram AI](https://developer.ideogram.ai/api-reference/api-reference/generate-v3)

### 💰 V3 Preisgestaltung

| Ideogram v3 | Generate  | Remix     | Edit      | Reframe   | Replace BG |
| ----------- | --------- | --------- | --------- | --------- | ---------- |
| 3.0 Turbo   | US \$0.03 | US \$0.03 | US \$0.03 | US \$0.03 | US \$0.03  |
| 3.0 Default | US \$0.06 | US \$0.06 | US \$0.06 | US \$0.06 | US \$0.06  |
| 3.0 Quality | US \$0.09 | US \$0.09 | US \$0.09 | US \$0.09 | US \$0.09  |

***

## V2 & V1 Schnittstellenbeschreibung

Die Ideogram AI V2 & V1 Bildgenerierungs-Schnittstellen bieten leistungsstarke Text-to-Image-Fähigkeiten, einschließlich Generate-, Remix-, Edit-, Upscale- und Describe-Funktionen.

* **Remix:** Erzeugt neue Bilder auf Basis eines Referenzbildes und eines Prompts.
* **Edit:** Lokale Bearbeitung bestimmter Bereiche eines Referenzbildes mithilfe von Prompts und Masken.
* **Upscale:** Erhöht niedrig aufgelöste Bilder auf hohe Auflösung, mit Kontrolle über Ähnlichkeit und Detailgrad.
* **Describe:** Reverse-Engineering von Prompts zur Beschreibung von Bildern.

**Unterstützte Stile:**

* AUTO: Standardmäßige automatische Auswahl
* GENERAL: Allgemeiner Zweck
* REALISTIC: Realistisch
* DESIGN: Designorientiert
* RENDER\_3D: 3D-Rendering
* ANIME: Anime-Stil

<Warning>
  1. Verfügbar über die offizielle AiHubMix API oder die [Cherry Studio APP](https://cherry-ai.com/). Beachten Sie, dass derzeit ein Proxy für die Bildgenerierung erforderlich ist; eine Direktverbindung innerhalb Chinas wird in Zukunft unterstützt.
  2. Cherry Studio bietet derzeit nur die Ideogram-Bildgenerierungs-Schnittstelle (Generate) an.
</Warning>

### Generate

`POST` [https://aihubmix.com/ideogram/generate](https://api.aihubmix.com/ideogram/generate)\
Generiert synchron Bilder auf Basis der angegebenen Prompts und optionalen Parameter. Bild-Links haben eine begrenzte Gültigkeitsdauer; wenn Sie die Bilder behalten möchten, müssen Sie sie herunterladen und speichern.

**Anfrageparameter**

<ParamField body="image_request" type="object" required>
  Anfrageobjekt für die Bildgenerierung
</ParamField>

<ParamField body="image_request.prompt" type="string" required>
  Prompt für die Bildgenerierung
</ParamField>

<ParamField body="image_request.aspect_ratio" default="ASPECT_1_1" type="string">
  Seitenverhältnis für die Bildgenerierung, bestimmt die Auflösung. Kann nicht zusammen mit dem Resolution-Parameter verwendet werden.

  Verfügbare Verhältnisse:

  * ASPECT\_1\_1
  * ASPECT\_3\_1
  * ASPECT\_1\_3
  * ASPECT\_3\_2
  * ASPECT\_2\_3
  * ASPECT\_4\_3
  * ASPECT\_3\_4
  * ASPECT\_16\_9
  * ASPECT\_9\_16
  * SPECT\_16\_10
  * ASPECT\_10\_16
</ParamField>

<ParamField body="image_request.model" default="V_2" type="string">
  Modell zum Generieren oder Bearbeiten von Bildern. /generate und /remix unterstützen alle Modelltypen, aber /edit unterstützt nur V\_2 und V\_2\_TURBO.

  Verfügbare Modellversionen:

  * V\_1
  * V\_1\_TURBO
  * V\_2
  * V\_2\_TURBO
  * V\_2A
  * V\_2A\_TURBO
</ParamField>

<ParamField body="image_request.magic_prompt_option" default="AUTO" type="string">
  Option zur Prompt-Verbesserung. Verfügbare Parameter: AUTO, ON, OFF
</ParamField>

<ParamField body="image_request.seed" type="integer">
  Zufallsseed, Bereich: 0-2147483647
</ParamField>

<ParamField body="image_request.style_type" default="AUTO" type="string">
  Stiltyp zur Bildgenerierung; dieser Parameter gilt nur für V\_2 und höhere Modellversionen und sollte in V\_1-Versionen nicht angegeben werden.

  Verfügbare Stile:

  * AUTO
  * GENERAL
  * REALISTIC
  * DESIGN
  * RENDER\_3D
  * ANIME
</ParamField>

<ParamField body="image_request.negative_prompt" type="string">
  Beschreibt, was nicht im Bild erscheinen soll. Nur für die Modellversionen V\_1, V\_1\_TURBO, V\_2 und V\_2\_TURBO anwendbar. Beschreibungen im Prompt haben Vorrang vor Beschreibungen im Negative-Prompt.
</ParamField>

<ParamField body="image_request.num_images" default="1" type="integer">
  Anzahl der zu generierenden Bilder, Bereich 1-8
</ParamField>

<ParamField body="image_request.resolution" type="string">
  Auflösung für die Bildgenerierung (nur für Modellversion 2.0 anwendbar, kann nicht zusammen mit aspect\_ratio verwendet werden), ausgedrückt als Breite x Höhe. Wenn nicht angegeben, wird standardmäßig aspect\_ratio verwendet.
</ParamField>

### Beispielaufrufe

<CodeGroup>
  ```py Python theme={null}
  import requests
  import os

  url = "https://aihubmix.com/ideogram/generate"

  payload = { "image_request": {
          "prompt": "3D cartoon, An adorable white owl baby with tilted head, shiny amber eyes with highlight, fluffy body, standing on a trunk with moss and lots of glowing mushrooms, Close up, cinematic lighting, low angle, deep sense of depth. The background is a magical spring landscape, cute and esthetic, huge title design \"Always curious\"", #string optional
          "negative_prompt": "blurry, bad anatomy, watermark",
          "aspect_ratio": "ASPECT_3_2",  # optional include ASPECT_1_1(Default), ASPECT_3_2, ASPECT_2_3, ASPECT_4_3, ASPECT_3_4, ASPECT_16_9, ASPECT_9_16, SPECT_16_10, ASPECT_10_16
          "model": "V_2",
          "num_images": 2, #integer optional >=1 <=8 Defaults to 1
          "magic_prompt_option": "AUTO", #string optional AUTO, ON, OFF
          #"seed": "2" #integer optional >=0 <=2147483647
          "style_type": "RENDER_3D" #string optional AUTO/GENERAL/REALISTIC/DESIGN/RENDER_3D/ANIME, only applicable to V_2 and above
      } }
  headers = {
      "Api-Key": os.getenv("AIHUBMIX_API_KEY"),
      "Content-Type": "application/json"
  }

  response = requests.post(url, json=payload, headers=headers)

  print(response.json())
  ```

  ```js Javascript theme={null}
  const url = 'https://aihubmix.com/ideogram/describe';
  const form = new FormData();
  form.append('image_file', '<file1>');

  const options = {method: 'POST', headers: {'Api-Key': '<apiKey>'}};

  options.body = form;

  try {
    const response = await fetch(url, options);
    const data = await response.json();
    console.log(data);
  } catch (error) {
    console.error(error);
  }
  ```

  ```shell Curl theme={null}
  curl -X POST https://aihubmix.com/ideogram/generate \
       -H "Api-Key: <apiKey>" \
       -H "Content-Type: application/json" \
       -d '{
    "image_request": {
      "prompt": "A serene tropical beach scene. Dominating the foreground are tall palm trees with lush green leaves, standing tall against a backdrop of a sandy beach. The beach leads to the azure waters of the sea, which gently kisses the shoreline. In the distance, there is an island or landmass with a silhouette of what appears to be a lighthouse or tower. The sky above is painted with fluffy white clouds, some of which are tinged with hues of pink and orange, suggesting either a sunrise or sunset.",
      "aspect_ratio": "ASPECT_10_16",
      "model": "V_2",
      "magic_prompt_option": "AUTO"
    }
  }'
  ```
</CodeGroup>

### Antwort

Bild(er) erfolgreich generiert.

```json theme={null}
{
  "created": "2000-01-23T04:56:07Z",
  "data": [
    {
      "prompt": "A serene tropical beach scene. Dominating the foreground are tall palm trees with lush green leaves, standing tall against a backdrop of a sandy beach. The beach leads to the azure waters of the sea, which gently kisses the shoreline. In the distance, there's an island or landmass with a silhouette of what appears to be a lighthouse or tower. The sky above is painted with fluffy white clouds, some of which are tinged with hues of pink and orange, suggesting either a sunrise or sunset.",
      "resolution": "1024x1024",
      "is_image_safe": true,
      "seed": 12345,
      "url": "https://ideogram.ai/api/images/direct/8YEpFzHuS-S6xXEGmCsf7g",
      "style_type": "REALISTIC"
    }
  ]
}
```

### Fehlercodes

* `400` : Post Generate Image Request Bad Request Error
* `401` : Post Generate Image Request Unauthorized Error
* `422` : Post Generate Image Request Unprocessable Entity Error
* `429` : Post Generate Image Request Too Many Requests Error

### Edit

`POST` [https://aihubmix.com/ideogram/edit](https://api.aihubmix.com/ideogram/edit)

Bearbeitet synchron ein angegebenes Bild mithilfe der bereitgestellten Maske. Die Maske gibt an, welche Teile des Bildes bearbeitet werden sollen, während der Prompt und der ausgewählte Stiltyp die Bearbeitungsrichtung weiter leiten können. Unterstützte Bildformate sind JPEG, PNG und WebP. Bild-Links haben eine begrenzte Gültigkeitsdauer; wenn Sie die Bilder behalten möchten, müssen Sie sie herunterladen und speichern.

**Anfrageparameter**

<ParamField body="image_file" type="file" required>
  Originalbilddatei, unterstützt JPEG-, PNG- und WebP-Formate
</ParamField>

<ParamField body="mask" type="file" required>
  Maskenbild, muss folgende Anforderungen erfüllen:

  * Enthält nur schwarze und weiße Pixel, unterstützt RGB-, RGBA- oder Graustufen-Bildformate
  * Exakt die gleichen Abmessungen wie das Originalbild
  * Schwarze Bereiche stehen für Teile, die geändert werden sollen, weiße Bereiche stehen für Teile, die unverändert bleiben sollen
  * Darf nicht rein weiß sein
  * Der zu ändernde Bereich (schwarzer Teil) sollte mindestens 10 % der Bildfläche einnehmen
</ParamField>

<ParamField body="prompt" type="string" required>
  Prompt für die lokale Bearbeitung
</ParamField>

<ParamField body="model" type="string" required>
  Modell zum Generieren oder Bearbeiten von Bildern. /generate und /remix unterstützen alle Modelltypen, aber /edit unterstützt nur V\_2 und V\_2\_TURBO.

  Verfügbare Modellversionen:

  * V\_2
  * V\_2\_TURBO
</ParamField>

<ParamField body="magic_prompt_option" default="AUTO" type="string">
  Option zur Prompt-Verbesserung. Verfügbare Parameter: AUTO, ON, OFF
</ParamField>

<ParamField body="num_images" default="1" type="integer">
  Anzahl der zu generierenden Bilder, Bereich 1-8
</ParamField>

<ParamField body="seed" type="integer">
  Zufallsseed, Bereich: 0-2147483647
</ParamField>

<ParamField body="style_type" default="AUTO" type="string">
  Stiltyp zur Bildgenerierung; dieser Parameter gilt nur für V\_2 und höhere Modellversionen.

  Verfügbare Stile:

  * AUTO
  * GENERAL
  * REALISTIC
  * DESIGN
  * RENDER\_3D
  * ANIME
</ParamField>

### Beispielaufrufe

<CodeGroup>
  ```py Python theme={null}
  import requests
  import os

  url = "https://aihubmix.com/ideogram/eidt"

  files = {
      "image_file": open('<file1>', 'rb'), #required
      "mask": "open('<file1>', 'rb')" #required
  }

  payload = {
      "prompt": "\"prompt\"", #required
      "model": "V_2",  #required, only supported for V_2 and V_2_TURBO.
      "magic_prompt_option": ,
      "num_images":1, #integer optional >=1 <=8 Defaults to 1
      "seed": , #integer optional >=0 <=2147483647
      "style_type":
  16}
  headers = {"Api-Key": os.getenv("AIHUBMIX_API_KEY")}

  response = requests.post(url, data=payload, files=files, headers=headers)

  print(response.json()

  # Datei schließen
  files["image_file"].close()
  files["mask"].close()
  ```

  ```js Javascript theme={null}
  const url = 'https://aihubmix.com/ideogram/edit';
  const form = new FormData();
  form.append('image_file', '<file1>');
  form.append('mask', '<file1>');
  form.append('prompt', '"prompt"');
  form.append('model', '"V_1"');
  form.append('magic_prompt_option', '');
  form.append('num_images', '');
  form.append('seed', '');
  form.append('style_type', '');

  const options = {method: 'POST', headers: {'Api-Key': '<apiKey>'}};

  options.body = form;

  try {
    const response = await fetch(url, options);
    const data = await response.json();
    console.log(data);
  } catch (error) {
    console.error(error);
  }
  ```

  ```shell Curl theme={null}
  curl -X POST https://aihubmix.com/ideogram/edit \
       -H "Api-Key: <apiKey>" \
       -H "Content-Type: multipart/form-data" \
       -F image_file=@<file1> \
       -F mask=@<file1> \
       -F prompt="prompt" \
       -F model="V_1"
  ```
</CodeGroup>

### Antwort

Bildbearbeitungen erfolgreich generiert.

```json theme={null}
{
  "created": "2000-01-23T04:56:07Z",
  "data": [
    {
      "prompt": "A serene tropical beach scene. Dominating the foreground are tall palm trees with lush green leaves, standing tall against a backdrop of a sandy beach. The beach leads to the azure waters of the sea, which gently kisses the shoreline. In the distance, there's an island or landmass with a silhouette of what appears to be a lighthouse or tower. The sky above is painted with fluffy white clouds, some of which are tinged with hues of pink and orange, suggesting either a sunrise or sunset.",
      "resolution": "1024x1024",
      "is_image_safe": true,
      "seed": 12345,
      "url": "https://ideogram.ai/api/images/direct/8YEpFzHuS-S6xXEGmCsf7g",
      "style_type": "REALISTIC"
    }
  ]
}
```

### Fehlercodes

* `400` : Post Edit Image Request Bad Request Error
* `401` : Post Edit Image Request Unauthorized Error
* `422` : Post Edit Image Request Unprocessable Entity Error
* `429` : Post Edit Image Request Too Many Requests Error

### Remix

`POST` [https://aihubmix.com/ideogram/remix](https://api.aihubmix.com/ideogram/remix)

Verschmilzt das bereitgestellte Bild mit den angegebenen Prompts und optionalen Parametern. Eingangsbilder werden vor dem Remixing auf das ausgewählte Seitenverhältnis zugeschnitten. Unterstützte Bildformate sind JPEG, PNG und WebP. Bild-Links haben eine begrenzte Gültigkeitsdauer; wenn Sie die Bilder behalten möchten, müssen Sie sie herunterladen und speichern.

**Anfrageparameter**

<ParamField body="image_request" type="object" required>
  Anfrage zum Generieren neuer Bilder unter Verwendung des bereitgestellten Bildes und Prompts. Das bereitgestellte Bild wird so zugeschnitten, dass es zum ausgewählten Ausgabe-Seitenverhältnis passt.
</ParamField>

<ParamField body="image_request.prompt" type="string" required>
  Prompt für die Bildgenerierung
</ParamField>

<ParamField body="image_request.aspect_ratio" default="ASPECT_1_1" type="string">
  Seitenverhältnis für die Bildgenerierung, bestimmt die Auflösung. Kann nicht zusammen mit dem Resolution-Parameter verwendet werden.

  Verfügbare Verhältnisse:

  * ASPECT\_1\_1
  * ASPECT\_3\_1
  * ASPECT\_1\_3
  * ASPECT\_3\_2
  * ASPECT\_2\_3
  * ASPECT\_4\_3
  * ASPECT\_3\_4
  * ASPECT\_16\_9
  * ASPECT\_9\_16
  * SPECT\_16\_10
  * ASPECT\_10\_16
</ParamField>

<ParamField body="image_request.image_weight" default="50" type="integer">
  Gewichtung des Referenzbildes, Bereich: 1-100
</ParamField>

<ParamField body="image_request.model" default="V_2" type="string">
  Modell zum Generieren oder Bearbeiten von Bildern. /generate und /remix unterstützen alle Modelltypen, aber /edit unterstützt nur V\_2 und V\_2\_TURBO.
</ParamField>

<ParamField body="image_request.negative_prompt" type="string">
  Beschreibt, was nicht im Bild erscheinen soll. Nur für die Modellversionen V\_1, V\_1\_TURBO, V\_2 und V\_2\_TURBO anwendbar. Beschreibungen im Prompt haben Vorrang vor Beschreibungen im Negative-Prompt.
</ParamField>

<ParamField body="image_request.magic_prompt_option" default="AUTO" type="string">
  Option zur Prompt-Verbesserung. Verfügbare Parameter: AUTO, ON, OFF
</ParamField>

<ParamField body="image_request.num_images" default="1" type="integer">
  Anzahl der zu generierenden Bilder, Bereich: 1-8
</ParamField>

<ParamField body="image_request.resolution" type="string">
  Auflösung für die Bildgenerierung (nur für Modellversion 2.0 anwendbar, kann nicht zusammen mit aspect\_ratio verwendet werden), ausgedrückt als Breite x Höhe. Wenn nicht angegeben, wird standardmäßig aspect\_ratio verwendet.
</ParamField>

<ParamField body="image_request.seed" type="integer">
  Zufallsseed, Bereich: 0-2147483647
</ParamField>

<ParamField body="image_request.style_type" default="AUTO" type="string">
  Stiltyp für generierte Bilder; nur für V\_2 und höhere Modellversionen anwendbar, sollte in V\_1-Versionen nicht angegeben werden.

  Verfügbare Stile:

  * AUTO
  * GENERAL
  * REALISTIC
  * DESIGN
  * RENDER\_3D
  * ANIME
</ParamField>

<ParamField body="image_file" type="file" required>
  Originalbilddatei, unterstützt JPEG-, PNG- und WebP-Formate
</ParamField>

### Beispielaufrufe

<CodeGroup>
  ```py Python theme={null}
  import requests
  import os

  url = "https://aihubmix.com/ideogram/remix"

  files = { "image_file": open('<file1>', 'rb') }
  payload = {"image_request": '''{
      "prompt": "watercolor",
      "aspect_ratio": "ASPECT_10_16",
      "image_weight": 50,
      "magic_prompt_option": "ON",
      "model": "V_2"
  }'''}

  headers = {"Api-Key": os.getenv("AIHUBMIX_API_KEY")}

  response = requests.post(url, data=payload, files=files, headers=headers)

  print(response.json())
  ```

  ```js Javascript theme={null}
  const url = 'https://aihubmix.com/ideogram/remix';
  const form = new FormData();
  form.append('image_request', '{
    "prompt": "A serene tropical beach scene. Dominating the foreground are tall palm trees with lush green leaves, standing tall against a backdrop of a sandy beach. The beach leads to the azure waters of the sea, which gently kisses the shoreline. In the distance, there is an island or landmass with a silhouette of what appears to be a lighthouse or tower. The sky above is painted with fluffy white clouds, some of which are tinged with hues of pink and orange, suggesting either a sunrise or sunset.",
    "aspect_ratio": "ASPECT_10_16",
    "image_weight": 50,
    "magic_prompt_option": "ON",
    "model": "V_2"
  }');
  form.append('image_file', '<file1>');

  const options = {method: 'POST', headers: {'Api-Key': '<apiKey>'}};

  options.body = form;

  try {
    const response = await fetch(url, options);
    const data = await response.json();
    console.log(data);
  } catch (error) {
    console.error(error);
  }
  ```

  ```shell Curl theme={null}
  curl -X POST https://aihubmix.com/ideogram/remix \
       -H "Api-Key: <apiKey>" \
       -H "Content-Type: multipart/form-data" \
       -F image_request='{
    "prompt": "A serene tropical beach scene. Dominating the foreground are tall palm trees with lush green leaves, standing tall against a backdrop of a sandy beach. The beach leads to the azure waters of the sea, which gently kisses the shoreline. In the distance, there is an island or landmass with a silhouette of what appears to be a lighthouse or tower. The sky above is painted with fluffy white clouds, some of which are tinged with hues of pink and orange, suggesting either a sunrise or sunset.",
    "aspect_ratio": "ASPECT_10_16",
    "image_weight": 50,
    "magic_prompt_option": "ON",
    "model": "V_2"
  }' \
       -F image_file=@<file1>
  ```
</CodeGroup>

### Antwort

Bild(er) erfolgreich generiert.

```json theme={null}
{
  "created": "2000-01-23T04:56:07Z",
  "data": [
    {
      "prompt": "A serene tropical beach scene. Dominating the foreground are tall palm trees with lush green leaves, standing tall against a backdrop of a sandy beach. The beach leads to the azure waters of the sea, which gently kisses the shoreline. In the distance, there's an island or landmass with a silhouette of what appears to be a lighthouse or tower. The sky above is painted with fluffy white clouds, some of which are tinged with hues of pink and orange, suggesting either a sunrise or sunset.",
      "resolution": "1024x1024",
      "is_image_safe": true,
      "seed": 12345,
      "url": "https://ideogram.ai/api/images/direct/8YEpFzHuS-S6xXEGmCsf7g",
      "style_type": "REALISTIC"
    }
  ]
}
```

### Fehlercodes

* `400` : Post Remix Image Request Bad Request Error
* `401` : Post Remix Image Request Unauthorized Error
* `422` : Post Remix Image Request Unprocessable Entity Error
* `429` : Post Remix Image Request Too Many Requests Error

### Upscale

`POST` [https://aihubmix.com/ideogram/upscale](https://api.aihubmix.com/ideogram/upscale)

Skaliert das bereitgestellte Bild synchron mit optionalen Prompts hoch. Unterstützte Bildformate sind JPEG, PNG und WebP. Bild-Links haben eine begrenzte Gültigkeitsdauer; wenn Sie die Bilder behalten möchten, müssen Sie sie herunterladen und speichern.

**Anfrageparameter**

<ParamField body="image_request" type="object" required>
  Anfrageobjekt zum Hochskalieren des bereitgestellten Bildes mit optionalen Prompts
</ParamField>

<ParamField body="image_request.prompt" type="string">
  Optionaler Prompt zur Steuerung des Upscaling-Prozesses
</ParamField>

<ParamField body="image_request.resemblance" default="50" type="integer">
  Ähnlichkeit, Bereich: 1-100
</ParamField>

<ParamField body="image_request.detail" default="50" type="integer">
  Detail, Bereich: 1-100
</ParamField>

<ParamField body="image_request.magic_prompt_option" default="AUTO" type="string">
  Option zur Prompt-Verbesserung. Verfügbare Parameter: AUTO, ON, OFF
</ParamField>

<ParamField body="image_request.num_images" default="1" type="integer">
  Anzahl der zu generierenden Bilder, Bereich: 1-8
</ParamField>

<ParamField body="image_request.seed" type="integer">
  Zufallsseed, Bereich: 0-2147483647
</ParamField>

<ParamField body="image_file" type="file" required>
  Originalbilddatei, unterstützt JPEG-, PNG- und WebP-Formate
</ParamField>

### Beispielaufrufe

<CodeGroup>
  ```py Python theme={null}
  import requests
  import os

  url = "https://aihubmix.com/ideogram/upscale"

  files = { "image_file": open('<file1>', 'rb') }
  payload = { "image_request": "{}" }
  headers = {"Api-Key": os.getenv("AIHUBMIX_API_KEY")}

  response = requests.post(url, data=payload, files=files, headers=headers)

  print(response.json())
  ```

  ```js Javascript theme={null}
  const url = 'https://aihubmix.com/ideogram/upscale';
  const form = new FormData();
  form.append('image_request', '{}');
  form.append('image_file', '<file1>');

  const options = {method: 'POST', headers: {'Api-Key': '<apiKey>'}};

  options.body = form;

  try {
    const response = await fetch(url, options);
    const data = await response.json();
    console.log(data);
  } catch (error) {
    console.error(error);
  }
  ```

  ```shell Curl theme={null}
  curl -X POST https://aihubmix.com/ideogram/upscale \
       -H "Api-Key: <apiKey>" \
       -H "Content-Type: multipart/form-data" \
       -F image_request='{}' \
       -F image_file=@<file1>
  ```
</CodeGroup>

### Antwort

Bild(er) erfolgreich generiert.

```json theme={null}
{
  "created": "2000-01-23T04:56:07Z",
  "data": [
    {
      "prompt": "A serene tropical beach scene. Dominating the foreground are tall palm trees with lush green leaves, standing tall against a backdrop of a sandy beach. The beach leads to the azure waters of the sea, which gently kisses the shoreline. In the distance, there's an island or landmass with a silhouette of what appears to be a lighthouse or tower. The sky above is painted with fluffy white clouds, some of which are tinged with hues of pink and orange, suggesting either a sunrise or sunset.",
      "resolution": "1024x1024",
      "is_image_safe": true,
      "seed": 12345,
      "url": "https://ideogram.ai/api/images/direct/8YEpFzHuS-S6xXEGmCsf7g",
      "style_type": "REALISTIC"
    }
  ]
}
```

### Fehlercodes

* `400` : Post Upscale Image Request Bad Request Error
* `401` : Post Upscale Image Request Unauthorized Error
* `422` : Post Upscale Image Request Unprocessable Entity Error
* `429` : Post Upscale Image Request Too Many Requests Error

### Describe

`POST` [https://aihubmix.com/ideogram/describe](https://api.aihubmix.com/ideogram/describe)

Analysiert und beschreibt das hochgeladene Bild. Unterstützte Bildformate sind JPEG, PNG und WebP.

**Anfrageparameter**

<ParamField body="image_file" type="file" required>
  Zu beschreibende Bilddatei, unterstützt JPEG-, PNG- und WebP-Formate
</ParamField>

### Beispielaufrufe

<CodeGroup>
  ```py Python theme={null}
  import requests
  import os

  url = "https://aihubmix.com/ideogram/describe"

  files = { "image_file": open('<file1>', 'rb') }
  headers = {"Api-Key": os.getenv("AIHUBMIX_API_KEY")}

  response = requests.post(url, files=files, headers=headers)

  print(response.json())

  # Datei schließen
  files["image_file"].close()
  ```

  ```js Javascript theme={null}
  const url = 'https://aihubmix.com/ideogram/describe';
  const form = new FormData();
  form.append('image_file', '<file1>');

  const options = {method: 'POST', headers: {'Api-Key': '<apiKey>'}};

  options.body = form;

  try {
    const response = await fetch(url, options);
    const data = await response.json();
    console.log(data);
  } catch (error) {
    console.error(error);
  }
  ```

  ```shell Curl theme={null}
  curl -X POST https://aihubmix.com/ideogram/describe \
       -H "Api-Key: <apiKey>" \
       -H "Content-Type: multipart/form-data" \
       -F image_file=@<file1>
  ```
</CodeGroup>

### Antwort

Beschreibung(en) erfolgreich erstellt.

```json theme={null}
{
  "descriptions": [
    {
      "text": "A meticulously illustrated cat with striped patterns, sitting upright. The cat's eyes are a captivating shade of yellow, and it appears to be gazing intently at something. The background consists of abstract, swirling patterns in shades of black, white, and beige, creating an almost fluid or wavy appearance. The cat is positioned in the foreground, with the background elements fading into the distance, giving a sense of depth to the image."
    },
    {
      "text": "A meticulously illustrated cat with striped patterns, sitting upright. The cat's eyes are a captivating shade of yellow, and it appears to be gazing intently at something. The background consists of abstract, swirling patterns in shades of black, white, and beige, creating an almost fluid or wavy appearance. The cat is positioned in the foreground, with the background elements fading into the distance, giving a sense of depth to the image."
    }
  ]
}
```

### Fehlercodes

* `400` : Post Describe Request Bad Request Error
* `422` : Post Describe Request Unprocessable Entity Error
* `429` : Post Describe Request Too Many Requests Error

***

### 💰 V2 & V1 Preisgestaltung

#### Bildgenerierung

| Modell    | Funktion                                                                                        | Kosten pro Bild |
| --------- | ----------------------------------------------------------------------------------------------- | --------------- |
| 2a        | Text zu Bild oder Text + Referenzbild zu Bild                                                   | US \$0.04       |
| 2a Turbo  | Text zu Bild oder Text + Referenzbild zu Bild (schneller, aber geringfügig niedrigere Qualität) | US \$0.025      |
| 2.0       | Text zu Bild oder Text + Referenzbild zu Bild                                                   | US \$0.08       |
| 2.0 Turbo | Text zu Bild oder Text + Referenzbild zu Bild (schneller, aber geringfügig niedrigere Qualität) | US \$0.05       |
| 1.0       | Text zu Bild oder Text + Referenzbild zu Bild                                                   | US \$0.06       |
| 1.0 Turbo | Text zu Bild oder Text + Referenzbild zu Bild (schneller, aber geringfügig niedrigere Qualität) | US \$0.02       |

#### Bildbearbeitung

| Modell         | Funktion                                                                                                                 | Kosten pro Bild |
| -------------- | ------------------------------------------------------------------------------------------------------------------------ | --------------- |
| 2.0 Edit       | Bilder mithilfe von Text-Prompts, Referenzbildern und binären Masken neu generieren                                      | US \$0.08       |
| 2.0 Turbo Edit | Bilder mithilfe von Text-Prompts, Referenzbildern und binären Masken neu generieren (schneller, aber geringere Qualität) | US \$0.05       |

#### Bildverbesserung

| Modell  | Funktion                                                                                | Kosten pro Bild |
| ------- | --------------------------------------------------------------------------------------- | --------------- |
| Upscale | Auflösung des Referenzbildes um das 2-fache erhöhen, mögliche Verbesserung der Qualität | US \$0.06       |

## Weitere Details finden Sie in der [offiziellen Dokumentation](https://developer.ideogram.ai/api-reference/api-reference/generate)

Zuletzt aktualisiert: 2026-06-01
